Holger's Java API

## com.antelmann.sql
Enum RelationshipManager.Column

    java.lang.Object
      java.lang.Enum<RelationshipManager.Column>
          com.antelmann.sql.RelationshipManager.Column

All Implemented Interfaces:
  Serializable, Comparable<RelationshipManager.Column>

Enclosing interface:
  RelationshipManager

    public static enum RelationshipManager.Column

extends Enum<RelationshipManager.Column>

provides the topics for the mapping of the store

See Also:
  `MappingInfo.getMappingForTopic(Object)`

Enum Constant Summary
`BEGIN` maps to a timestamp; optional
`BI` maps to a boolean; optional
`COMMENT` maps to a string; optional
`END` maps to a timestamp; optional
`FROM_CLASS` maps to any object representing the class (using an EntryClassMapper); mandatory.
`FROM_ID` maps to any object; mandatory
`FROM_STRING` maps to the display value of the 'from' reference (if given, this column is only read for instantiation); optional
`OPTION` maps to any object; optional
`TO_CLASS` maps to any object representing the class (using an EntryClassMapper); mandatory.
`TO_ID` maps to any object; mandatory
`TO_STRING` maps to the display value of the 'to' reference (if given, this column is only read for instantiation); optional
`TYPE` maps to any object; mandatory

Method Summary
`static RelationshipManager.Column` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static RelationshipManager.Column[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### FROM_ID

    public static final RelationshipManager.Column FROM_ID

  maps to any object; mandatory

### FROM_CLASS

    public static final RelationshipManager.Column FROM_CLASS

  maps to any object representing the class (using an EntryClassMapper); mandatory. If no mapping is used, `RelationshipStore.setFromClass(Class)` must be set.

### FROM_STRING

    public static final RelationshipManager.Column FROM_STRING

  maps to the display value of the 'from' reference (if given, this column is only read for instantiation); optional

### TO_ID

    public static final RelationshipManager.Column TO_ID

  maps to any object; mandatory

### TO_CLASS

    public static final RelationshipManager.Column TO_CLASS

  maps to any object representing the class (using an EntryClassMapper); mandatory. If no mapping is used, `RelationshipStore.setToClass(Class)` must be set.

### TO_STRING

    public static final RelationshipManager.Column TO_STRING

  maps to the display value of the 'to' reference (if given, this column is only read for instantiation); optional

### TYPE

    public static final RelationshipManager.Column TYPE

  maps to any object; mandatory

### OPTION

    public static final RelationshipManager.Column OPTION

  maps to any object; optional

### BI

    public static final RelationshipManager.Column BI

  maps to a boolean; optional

### BEGIN

    public static final RelationshipManager.Column BEGIN

  maps to a timestamp; optional

### END

    public static final RelationshipManager.Column END

  maps to a timestamp; optional

### COMMENT

    public static final RelationshipManager.Column COMMENT

  maps to a string; optional

Method Detail

### values

    public static RelationshipManager.Column[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (RelationshipManager.Column c : RelationshipManager.Column.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static RelationshipManager.Column valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads